Extend "Service Action - SSH Default" job template to be able to enable and disable services
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1515671 Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/480

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1515671

Description of problem:

The standard job template "Service Action - SSH Default" does not support enabling or disabling services.

Version-Release number of selected component (if applicable): 6.2.12

How reproducible:

Always

Steps to Reproduce:

1. Run job template "Service Action - SSH Default"

2. Notice that there are no option to enable or disable a service

Actual results:

You have to use "Run Command - SSH Default" with "chkconfig <service name> on/off" or "systemctl <service name>

enable/disable" depending on the target host.

Expected results:

There should be options in "Service Action - SSH Default" to enable/disable services and the template should handle if it is executed

on a system that is using systemd or not.

Implementation suggestion:

Change the template to this:

<% if @host.operatingsystem.family == "Redhat" && @host.operatingsystem.major.to_i > 6 ->

systemctl <= input("action") > <= input("service") >

< elsif input("action") == "enable" ->

chkconfig <= input("service") > on

< elsif input("action") == "disable" ->

chkconfig <= input("service") > off

< else ->

service <= input("service") > <= input("action") >

< end -%>

And in the Job tab under Template input, add "enable" and "disable" to the list of Options so that the list consist of the following

options:

restart

start

stop

status

enable

disable
Associated revisions

Revision 47de1a56 - 06/19/2018 07:17 AM - Ido Kanner

Refs #21717 - Added support for enable and disable

History

#1 - 11/21/2017 10:30 AM - Adam Ruzicka

- Target version set to 113

- Difficulty set to trivial

#2 - 05/30/2018 06:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman_remote_execution/pull/354 added

#3 - 05/30/2018 10:54 AM - Ido Kanner

- Project changed from Foreman Remote Execution to Foreman

changed project, due to comments on the PR by theforeman-bot.

The change was made to the community templates and not to the project itself.

#4 - 05/30/2018 11:00 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/480 added

#5 - 06/19/2018 07:18 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- Pull request deleted (https://github.com/theforeman/foreman_remote_execution/pull/354)

#6 - 06/19/2018 07:38 AM - Marek Hulán

After it's merged in community templates, the change needs to be synced to the rex/ansible codebase too. I don't think this should be considered

closed

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

